# Class CIM_IndicatorLEDCapabilities
extends CIM_EnabledLogicalElementCapabilities

LEDCapabilities describes the capabilities supported for managing the associated LED.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_IndicatorLEDCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | LEDCapabilities describes the capabilities supported for managing the associated LED.
UMLPackagePath | string | CIM::Device::LED
Version | string | 2.35.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherSupportedColorDescriptions | string[] |
Description | string | An array index of this property shall have a value if the corresponding array index of SupportedColors contains the value 1 "Other".
ModelCorrespondence | string | CIM_IndicatorLEDCapabilities.SupportedColors, CIM_IndicatorLED.OtherColorDescription
OtherSupportedIndicatedConditionDescriptions | string[] |
Description | string | An array index of this property shall have a value if the corresponding array index of SupportedIndicatedConditions contains the value 1 "Other".
ModelCorrespondence | string | CIM_IndicatorLEDCapabilities.SupportedIndicatedConditions, CIM_IndicatorLED.OtherIndicatedConditionDescription
SupportedActivationStates | uint16[] |
Description | string | SupportedActivationStates indicates the supported activation states for the associated IndicatorLED. See CIM_IndicatorLED.ActivationState for descriptions of the values.
ModelCorrespondence | string | CIM_IndicatorLED.ActivationState
ValueMap | string | 2, 3, 4, 5, .., 32768..65535
Values | string | Lit, Blinking, Off, Control Pattern, DMTF Reserved, Vendor Reserved
SupportedColors | uint16[] |
Description | string | This property indicates the colors supported by the associated instance of CIM_IndicatorLED.
ModelCorrespondence | string | CIM_IndicatorLED.Color, CIM_IndicatorLEDCapabilities.OtherSupportedColorDescriptions
ValueMap | string | 1, 3, 4, 5, 6, 7, 8, 9, .., 32768..65535
Values | string | Other, White, Red, Green, Blue, Orange, Yellow, Black, DMTF Reserved, Vendor Reserved
SupportedControlModes | uint16[] |
Description | string | SupportedControlModes indicates the control modes supported for the LED.See CIM_IndicatorLED.ControlMode for more information.
ModelCorrespondence | string | CIM_IndicatorLED.ControlMode
ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | Automatic, Manual, Test, DMTF Reserved, Vendor Reserved
SupportedControlPatterns | string[] |

Description

string

SupportedControlPatterns describes the control patterns supported by the associated LED. The values of SupportedControlPatterns may be an exact match for values allowed for CIM_IndicatorLED.ControlPattern or may indicate general categories of behavior. The interpretation of value is specific to the business entity identified by <OrgID>. Each value of SupportedControlPatterns shall be constructed using the following "preferred" algorithm: <OrgID>::<Pattern> Where <OrgID> and < Pattern> are separated by two colons (::), and where <OrgID> shall include a copyrighted, trademarked, or otherwise unique name that is owned by the business entity that is creating or defining the ControlPattern or that is a registered ID assigned to the business entity by a recognized global authority. <Pattern> is chosen by the business entity and shall not be reused to identify different underlying (real-world) behaviors. If the behavior specified for the LED adheres to a standard or proprietary specification, <Pattern> shall be a uniquely assigned value identifying the behavior. If the behavior for the LED is described using a standard or proprietary grammar, <Pattern> shall be prefixed with a uniquely assigned identifier for the grammar.

ModelCorrespondence | string | CIM_IndicatorLED.ControlPattern
SupportedIndicatedConditions | uint16[] |
Description | string | The conditions that may be indicated by the LED.See CIM_IndicatorLED.IndicatedConditions for a description of the values.
ValueMap | string | 1, 3, 4, 5, 6, 7, .., 32768..65535
Values | string | Other, Location, Attention, Activity, Powered On, Fault, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods